import rerenderExpandableTable from "./rerenderExpandableTable.js";
import renderAntTable from "./renderAntTable.jsx";
// import ColumnManager from "./ColumnManager.js";
import renderVsTable from "./renderVsTable.jsx";
import renderBaseTable from "./renderBaseTable.jsx";
import renderHeadTable from "./renderHeadTable.jsx";
import renderBodyTable from "./renderBodyTable.jsx";
import renderTableCell from "./renderTableCell.jsx";
import renderTableHeaderRow from "./renderTableHeaderRow.jsx";
import renderSelectionBox from "./renderSelectionBox.jsx";
import SelectionCheckboxAll from "./SelectionCheckboxAll.jsx";

export default function (Vue) {
  SelectionCheckboxAll(Vue)
  renderSelectionBox(Vue)
  rerenderExpandableTable(Vue)
  renderAntTable(Vue)
  renderVsTable(Vue)
  renderBaseTable(Vue)
  renderBodyTable(Vue)
  renderHeadTable(Vue)
  renderTableCell(Vue)
  renderTableHeaderRow(Vue)

}